<h1>Products</h1>

<ng-container *ngIf="(products$ | async) as products">

    <table>
        <thead>
            <tr>
                <th>ID</th>
                <th>Name</th>
                <th>Price</th>
                <th>Date</th>
            </tr>
        </thead>
        <tbody>
            <tr *ngFor="let p of products">
                <td>{{p.id}}</td>
                <td>{{p.name | uppercase}}</td>
                <td>{{p.price | currency:'SEK'}}</td>
                <td>{{p.date | date:'d MMM yyyy'}}</td>
            </tr>
        </tbody>
    </table>
    <hr>
    <div>
        <label for="productId">Product Id:</label>
        <input type="number" id="productId" name="productId" #productId [min]="0" [max]="10" (change)="showProduct(productId.value)"/>
    </div>
    <table *ngIf="(product$ | async) as p">
        <tr>
            <th>ID</th>
            <td>{{p.id}}</td>
        </tr>
        <tr>
            <th>Name</th>
            <td>{{p.name}}</td>
        </tr>
        <tr>
            <th>Price</th>
            <td>{{p.price}}</td>
        </tr>
        <tr>
            <th>Date</th>
            <td>{{p.date}}</td>
        </tr>
    </table>

</ng-container>

